BTHSET(1) | General Commands Manual | BTHSET(1)

# NAME

`bthset` —
Bluetooth Headset utility

# SYNOPSIS

`bthset` | [`-v`] [`-c` command] [`-m` mixer] [`-p` file] [`-s` channel]

`bthset` | [`-h`]

# DESCRIPTION

The `bthset` utility is used to access a Bluetooth Headset with the btsco(4) audio device. It opens the mixer(4) device and creates the control connection to the headset, then conducts volume settings each way. When `bthset` receives a `SIGUSR1` signal, it will start sending RING codes to the headset until the headset button is pressed or a `SIGUSR2` signal is received. If the headset is ringing and `bthset` receives a button press notification, the specified command (if any) is executed.

When the server channel is specified with the `-s` option, instead of opening the control connection, `bthset` will listen on the channel for incoming connections from the Headset and register as Headset Audio Gateway with the local SDP server.

The options are as follows:

`-c` command
  Specify an optional command to be executed when the headset responds to ringing with a button press event. This defaults to the contents of the `BTHSET_COMMAND` environment variable, if set.
`-h`
  Print usage message.
`-m` mixer
  Specify the path to the mixer device. This defaults to the contents of the `BTHSET_MIXER` environment variable, or /dev/mixer if not set.
`-p` file
  Write the PID to file so that other programs can find us later. This defaults to the contents of the `BTHSET_PIDFILE` environment variable, if set.
`-s` channel
  Register with the local SDP server as a Headset Audio Gateway and listen for connections on the given RFCOMM server channel.
`-v`
  Be verbose.

# FILES

/dev/mixer

# EXIT STATUS

The `bthset` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

btsco(4), mixer(4)

# AUTHORS

Iain Hibbert for Itronix, Inc

July 26, 2006 | NetBSD 9.2